## gate.event
Interface CorpusListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  CorpusEditor

public interface CorpusListener
extends EventListener

A listener for events fired by `Corpus`

Method Summary
`void` `documentAdded(CorpusEvent e)` Called when a document has been added
`void` `documentRemoved(CorpusEvent e)` Called when a document has been removed

Method Detail

### documentAdded

    public void documentAdded(CorpusEvent e)

  Called when a document has been added

### documentRemoved

    public void documentRemoved(CorpusEvent e)

  Called when a document has been removed